Name:        inconsolata-lgc-nerd-fonts
Version:     3.2.1
Release:     %autorelease
Summary:     Iconic font aggregator, collection, & patcher.

BuildArch:   noarch
License:     OFL-1.1
URL:         https://github.com/ryanoasis/nerd-fonts
Source0:     %{url}/releases/download/v%{version}/InconsolataLGC.tar.xz

%description
Nerd Fonts is a project that patches developer targeted fonts with a high
number of glyphs (icons). Specifically to add a high number of extra glyphs
from popular 'iconic fonts' such as Font Awesome, Devicons, Octicons, and
others.

%prep
%autosetup -c -v

%build
# Nothing to do here

%install

install -Dm644 InconsolataLGCNerdFont-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-Bold.ttf
install -Dm644 InconsolataLGCNerdFont-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-BoldItalic.ttf
install -Dm644 InconsolataLGCNerdFont-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-Italic.ttf
install -Dm644 InconsolataLGCNerdFont-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-Regular.ttf
install -Dm644 InconsolataLGCNerdFontMono-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-Bold.ttf
install -Dm644 InconsolataLGCNerdFontMono-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-BoldItalic.ttf
install -Dm644 InconsolataLGCNerdFontMono-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-Italic.ttf
install -Dm644 InconsolataLGCNerdFontMono-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-Regular.ttf
install -Dm644 InconsolataLGCNerdFontPropo-Bold.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-Bold.ttf
install -Dm644 InconsolataLGCNerdFontPropo-BoldItalic.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-BoldItalic.ttf
install -Dm644 InconsolataLGCNerdFontPropo-Italic.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-Italic.ttf
install -Dm644 InconsolataLGCNerdFontPropo-Regular.ttf %{buildroot}%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-Regular.ttf

%files

%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-BoldItalic.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-Italic.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFont-Regular.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-BoldItalic.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-Italic.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontMono-Regular.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-Bold.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-BoldItalic.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-Italic.ttf
%{_datadir}/fonts/%{name}/InconsolataLGCNerdFontPropo-Regular.ttf
%license LICENSE
%doc README.md

%changelog
* Sat Jul 20 2024 Kyle Bloom <kylejbloom@gmail.com> - 3.2.1-1
- Updated to version v3.2.1
